## What is Gitbook

Gitbook 是一个基于 Node.js 的命令行工具, 通过这个工具, 使用者可以方便的生成漂亮的电子书或者文档. 

Gitbook 所能生成文档的格式是多样的
* 可以生成静态 HTML 形式的在线文档, 只要部署在服务器上, 就可以在浏览器中访问和阅读文档. 
* 可以生成 PDF, eBook 文件在各种设备上离线阅读
* 可以生成 JSON 原始文件, 方便其它工具进行二次开发和处理

## Gitbook by Markdown
Gitbook 使用 Markdown 作为编写文档的规范, 也就是说我们只要编写若干个符合 Gitbook 规范的 Markdown 文件, Gitbook 就可以帮我们将这些 Markdown 源文件生成为静态 HTML 或者电子书.

## Gitbook with Git
对于一个 Gitbook 项目来说, 一般情况下都会使用 Git 作为这个项目的版本管理工具, 这样一来, 项目便自动获得了所有 Git 带来的方便之处. 包括但不仅限于:
* 支持多人同时对一个项目内文档进行编写
* 支持版本控制, 方便的切换文档的版本
* 支持历史查看, 包括每个文件的中每个编写者的历史纪录  
* 支持分支, 项目管理者可以利用分支的特性来对文档进行发布前的审核和修改